import request from '@/utils/request'

// 查询工序计划明细列表
export function listOperationPlanningDetail(query) {
  return request({
    url: '/system/operationPlanningDetail/list',
    method: 'get',
    params: query
  })
}

// 查询工序计划明细详细
export function getOperationPlanningDetail(id) {
  return request({
    url: '/system/operationPlanningDetail/' + id,
    method: 'get'
  })
}

// 新增工序计划明细
export function addOperationPlanningDetail(data) {
  return request({
    url: '/system/operationPlanningDetail',
    method: 'post',
    data: data
  })
}

// 修改工序计划明细
export function updateOperationPlanningDetail(data) {
  return request({
    url: '/system/operationPlanningDetail',
    method: 'put',
    data: data
  })
}

// 删除工序计划明细
export function delOperationPlanningDetail(id) {
  return request({
    url: '/system/operationPlanningDetail/' + id,
    method: 'delete'
  })
}
